Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class ExponentialDistImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.random.ExponentialDistImpl

public class ExponentialDistImpl
extends BaseImpl
implements DoubleDistribution, DoubleDistributionS, ExponentialDistS, ExponentialDist

Exponential distribuiton . A well-known continuous probability distribution returning doubles.

Constructor Summary
`ExponentialDistImpl()`
`ExponentialDistImpl(Zone aZone)` The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.
`ExponentialDistImpl(Zone aZone, SimpleRandomGenerator simpleGenerator)` Use this create message if the generator to be attached is a Simple one:
`ExponentialDistImpl(Zone aZone, SimpleRandomGenerator simpleGenerator, double mean)` Use this create message if the generator to be attached is a Simple one:
`ExponentialDistImpl(Zone aZone, SplitRandomGenerator splitGenerator, int vGen)` Use this create message if the generator to be attached is a Split one:
`ExponentialDistImpl(Zone aZone, SplitRandomGenerator splitGenerator, int vGen, double mean)` Use this create message if the generator to be attached is a Split one:

Methods implemented by this class for interface swarm.random.DoubleDistribution
`getDoubleSample`

Methods implemented by this class for interface swarm.random.ExponentialDistS
`setMean`

Methods implemented by this class for interface swarm.random.ExponentialDist
`getMean, getSampleWithMean`

Methods implemented by this class for interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.random.InternalState
`getMagic, getStateSize`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExponentialDistImpl

    public ExponentialDistImpl()

### ExponentialDistImpl

    public ExponentialDistImpl(Zone aZone,
                               SplitRandomGenerator splitGenerator,
                               int vGen,
                               double mean)

  Use this create message if the generator to be attached is a Split one:

### ExponentialDistImpl

    public ExponentialDistImpl(Zone aZone,
                               SimpleRandomGenerator simpleGenerator,
                               double mean)

  Use this create message if the generator to be attached is a Simple one:

### ExponentialDistImpl

    public ExponentialDistImpl(Zone aZone,
                               SimpleRandomGenerator simpleGenerator)

  Use this create message if the generator to be attached is a Simple one:

### ExponentialDistImpl

    public ExponentialDistImpl(Zone aZone,
                               SplitRandomGenerator splitGenerator,
                               int vGen)

  Use this create message if the generator to be attached is a Split one:

### ExponentialDistImpl

    public ExponentialDistImpl(Zone aZone)

  The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD